Skip to main content
GET
List Task Definitions

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Query Parameters

agent_id
string<uuid> | null

Only this agent's saved tasks

limit
integer
default:100

Most saved tasks to return

Required range: 1 <= x <= 1000

Response

Successful Response

agent_id
string<uuid>
required
created_at
string<date-time>
required
created_by
string
required
description
string
required
id
string<uuid>
required
name
string
required
parameters
Parameters · object
required
updated_at
string<date-time>
required